<?php
/**
 * Theme setup function.  This function adds support for theme features and defines the default theme
 * actions and filters.
**/
$nav_id='';
if ( ! isset( $content_width ) ) $content_width = 900;
// call our custom wp_title filter, with normal (10) priority, and 3 args
add_filter( 'wp_title', 'redify_filter_wp_title', 10, 3 );

// filter function for wp_title
					function redify_filter_wp_title( $old_title, $sep, $sep_location ){
 
					// add padding to the sep
					$ssep = ' ' . $sep . ' ';
 
					// find the type of index page this is
					if( is_category() ) $insert = $ssep . 'Category';
					elseif( is_tag() ) $insert = $ssep . 'Tag';
					elseif( is_author() ) $insert = $ssep . 'Author';
					elseif( is_year() || is_month() || is_day() ) $insert = $ssep . 'Archives';
					else $insert = NULL;
 
					// get the page number we're on (index)
					if( get_query_var( 'paged' ) )
					$num = $ssep . 'page ' . get_query_var( 'paged' );
 
					// get the page number we're on (multipage post)
					elseif( get_query_var( 'page' ) )
					$num = $ssep . 'page ' . get_query_var( 'page' );
 
					// else
					else $num = NULL;
 
					// concoct and return new title
					return get_bloginfo( 'name' ) . $insert . $old_title . $num;
					}

add_action( 'after_setup_theme', 'redify_the_theme_setup' );

function redify_the_theme_setup() /*function declear*/
{
//if(get_option( 'redify_theme_options' ))
//{
	
//}
//else{
	$redify_theme_options=array(
								'animation_speed'=>'1000',
								'pagination_slider'=> false,
								'auto_slide_interval'=>'3000',
								'default_footer_area' => 1,
								'enable_custom_footer'=> 0,
								'disable_footer'=> 0,
								'redify_footer_widget_area'=>'',
								'redify_Site_Title'=>array(	'site_title_px' => '32',
															'color_title' => '#676767',
															'font_family' => 'Arial',
															'font_style' => 'Normal'
														  ),
								'contactus_title'=>'Contact Us',
								'contactus_description'=>'Thanks for selecting Us.',
								'upload_image'=>'',
								'height'=>'60',
								'width'=>'60',
								'upload_image_favicon'=>'',
								'portfolio_post'=>'5',
								'checkbox_title'=>0,
								'checkbox_homepage_slider'=>1,
								'slide_effect'=>'random',
								'hover_pause'=> 0,
								'slider_entries'=> 6,
								'redify_menu_typography'=>array(	'navigation_px' => '13',
																	'color_navigation' =>'#CACACA',
																	'font_family_navigation' =>'Arial',
																	'font_style_navigation' => 'Normal'
																),
								'redify_post_title_typography'=>array(	'post_title_px' => '18',
																		'color_post_title' => '#303030',
																		'font_family_post_title' => 'Arial',
																		'font_style_post_title' => 'Normal'
																	 ),
								'redify_post_entry_typography'=>array(	'post_entry_px' => '12',
																		'color_post_entry' => '#303030',
																		'font_family_post_entry' => 'Arial',
																		'font_style_post_entry' => 'Normal'
																	 ),
								'redify_post_meta_typography'=>array(	'post_meta_px' => '12',
																		'color_post_meta' => '#676767',
																		'font_family_post_meta' => 'Arial',
																		'font_style_post_meta' => 'Normal'
																	 ),
								'redify_sidebar_widget_titles'=>array(	'sidebar_widget_titles_px' => '15',
																		'color_sidebar_widget_titles' => '#222222',
																		'font_family_sidebar_widget_titles' => 'Arial',
																		'font_style_sidebar_widget_titles' => 'Normal'
																	 ),
								'redify_font_style_footer_widget_titles'=>array(	'footer_widget_titles_px' => '15',
																					'color_footer_widget_titles' => '#b1b1b1',
																					'font_family_footer_widget_titles' => 'Arial',
																					'font_style_footer_widget_titles' => 'Italic'
																				),
								'redify_footer_area_settings'=>array(	'first_footer_widget_area'=> 0,
																		'second_footer_widget_area'=> 0,
																		'third_footer_widget_area'=> 0,
																		'fourth_footer_widget_area'=> 0
																)
	);
	add_option('redify_theme_options',$redify_theme_options);
//}
		
	/* Make redify available for translation.*/
	load_theme_textdomain( 'redify', get_template_directory() . '/languages' );
	$locale = get_locale();
	$locale_file = get_template_directory() . "/languages/$locale.php"; //give language directory path
	if ( is_readable( $locale_file ) )
	require_once( $locale_file );




// This theme styles the visual editor with editor-style.css to match the theme style.
	add_editor_style();



	


	

/*custom style sheet include*/
	require_once('redify_option_pannel/redify_option_pannel.php' );
	
	add_action('wp_enqueue_scripts','redify_add_style_script');
	add_action('init','redify_featured_custom_posttype_register');
	add_action('init','redify_portfolio_custom_posttype_register');
	

/*post image show*/
add_theme_support( 'post-thumbnails' );
// Add default posts and comments RSS feed links to head
add_theme_support( 'automatic-feed-links' );

add_theme_support( 'custom-background' );





/*This theme uses wp_nav_menu() in one location. register_nav_menu('main', 'Main navigation menu');*/
	register_nav_menu( 'primary', __( 'Primary Menu', 'redify' ) );


}/*theme setup function finshes */
/*Post date show*/
if ( ! function_exists( 'redify_posted_on' ) ) :
function redify_posted_on() {
	printf( __( '<span class="sep">Posted by </span><a class="name" href="%5$s" title="%6$s" rel="author">%7$s</a><span class="sep">on </span><time class="entry-date" datetime="%3$s" pubdate>%4$s</time> ', 'redify' ),
		esc_url( get_permalink() ),
		esc_attr( get_the_time() ),
		esc_attr( get_the_date( 'c' ) ),
		esc_html( get_the_date() ),
		esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ),
		sprintf( esc_attr__( 'View all posts by %s', 'redify' ), get_the_author() ),
		esc_html( get_the_author() )
	);
}
endif;

/*finish*/


function redify_portfolio_custom_posttype_register() {  
  
  $labels = array(
    'name' => __('Portfolio','portfolio_textdomain'),
    'singular_name' => __('Portfolio', 'portfolio_textdomain'),
    'add_new' => __('Add New', 'portfolio_textdomain'),
    'add_new_item' => __('Add New Link','portfolio_textdomain'),
    'edit_item' => __('Edit Link','portfolio_textdomain'),
    'new_item' => __('New Link','portfolio_textdomain'),
    'all_items' => __('All Links','portfolio_textdomain'),
    'view_item' => __('View Link','portfolio_textdomain'),
    'search_items' => __('Search Links','portfolio_textdomain'),
    'not_found' =>  __('No Links found','portfolio_textdomain'),
    'not_found_in_trash' => __('No Links found in Trash','portfolio_textdomain'), 
	
	);
  
  
  
        $args = array(  
            'labels' => $labels,   
            'public' => true,  
            'show_ui' => true,
            'capability_type' => 'post',  
            'hierarchical' => false,  
            // need to clear the concept of rewrite in custom post type 
			'has_archive' => 'portfolio', 
		    'rewrite' => true,
			'supports' => array('title','editor')  
           );  
      
        register_post_type( 'portfolio' , $args );  
    }   	

/*$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$$*/

function redify_featured_custom_posttype_register() {  
  
  $labels = array(
    'name' => __('Featured Slider','redify'),
    'singular_name' => __('Featured Slider', 'featured_textdomain'),
    'add_new' => __('Add New', 'featured_textdomain'),
    'add_new_item' => __('Add New Link','featured_textdomain'),
    'edit_item' => __('Edit Link','featured_textdomain'),
    'new_item' => __('New Link','featured_textdomain'),
    'all_items' => __('All Links','featured_textdomain'),
    'view_item' => __('View Link','featured_textdomain'),
    'search_items' => __('Search Links','featured_textdomain'),
    'not_found' =>  __('No Links found','featured_textdomain'),
    'not_found_in_trash' => __('No Links found in Trash','featured_textdomain'), 
	
	);
  
  
  
        $args = array(  
            'labels' => $labels,   
            'public' => true,  
            'show_ui' => true,
            'capability_type' => 'post',  
            'hierarchical' => false,  
            // need to clear the concept of rewrite in custom post type 
			'has_archive' => 'featured', 
		    'rewrite' => true,
            'supports' => array('title','editor','author','thumbnail','excerpt','comments','custom_type')  
           );  
      
        register_post_type( 'featured_biz_slider' , $args );  
    }   

	
function redify_widgets_init() {


/*sidebar*/
register_sidebar( array(
		'name' => __( 'primary sidebar', 'createif' ),
		'id' => 'sidebar-primary',
		'description' => __( 'The primary widget area', 'createif' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => "</div>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => __( 'secondary sidebar', 'createif' ),
		'id' => 'sidebar-secondary',
		'description' => __( 'The secondery widget area', 'createif' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget' => "</div>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

/*footer sidebar*/
register_sidebar( array(
		'name' => __( 'First Footer Widget Area', 'createif' ),
		'id' => 'first-footer-widget-area',
		'description' => __( 'The first footer widget area', 'createif' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	
	register_sidebar( array(
		'name' => __( 'Second Footer Widget Area', 'createif' ),
		'id' => 'second-footer-widget-area',
		'description' => __( 'The second footer widget area', 'createif' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );

	register_sidebar( array(
		'name' => __( 'Third Footer Widget Area', 'createif' ),
		'id' => 'third-footer-widget-area',
		'description' => __( 'The third footer widget area', 'createif' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
	
	register_sidebar( array(
		'name' => __( 'Fourth Footer Widget Area', 'createif' ),
		'id' => 'fourth-footer-widget-area',
		'description' => __( 'The fourth footer widget area', 'createif' ),
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
	
}
add_action( 'widgets_init', 'redify_widgets_init' );


add_action('wp_enqueue_scripts','redify_enqueue_script');
function redify_enqueue_script() {
   
   
    //wp_enqueue_script('jquery-1.7.1.min',get_template_directory_uri('template_directory').'/js/jquery-1.7.1.min.js');
   wp_enqueue_script('jquery');
   wp_enqueue_script('jquery.nivo.slider.pack', get_template_directory_uri('template_directory').'/js/jquery.nivo.slider.pack.js');
   

	wp_enqueue_style('nivo-slider', get_template_directory_uri('template_directory').'/css/nivo-slider.css');
	wp_enqueue_style('style_nivo_support', get_template_directory_uri('template_directory').'/css/style_nivo_support.css');
	wp_enqueue_style('default', get_template_directory_uri('template_directory').'/css/default.css');

}




/**
 * Display navigation to next/previous pages when applicable
 */
//wp_link_pages( $args );  /*This is required tousing pagination*/
function redify_content_nav() {


global $wp_query;

	if ( $wp_query->max_num_pages > 1 ) : ?>
		<nav id="<?php //echo $nav_id; ?>">
			
			<div class="nav-next" style=""><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'redify' ) ); ?></div>
			<div class="nav-previous" style=""><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'redify' ) ); ?></div>
		</nav><!-- #nav-above -->
	<?php endif; 
}






	
/** default value of slidet*/
if(get_option('checkbox_homepage_slider')=='') {	
add_action('init','redify_default_slider_value');
function redify_default_slider_value() {
	
//update_option('animation_speed','1000');
//update_option('pagination_slider','false');
//update_option('auto_slide_interval','3000');
//update_option('show_title_background','1');

}
}
	
	
///////////////comment function////////////////////////////////////////////////


if ( ! function_exists( 'redify_comment' ) ) :
/**
 * Template for comments and pingbacks.
 *
 * To override this walker in a child theme without modifying the comments template
 * simply create your own redify(), and that function will be used instead.
 *
 * Used as a callback by wp_list_comments() for displaying the comments.
 *
 * @since redify
 */
function redify_comment( $comment, $args, $depth ) {
	$GLOBALS['comment'] = $comment;
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'redify' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( __( 'Edit', 'redify' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
	<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>">
		<article id="comment-<?php comment_ID(); ?>" class="comment">
			<footer class="comment-meta">
				<div class="comment-author vcard">
					<?php
						$avatar_size = 68;
						if ( '0' != $comment->comment_parent )
							$avatar_size = 39;

						echo get_avatar( $comment, $avatar_size );

						/* translators: 1: comment author, 2: date and time */
						printf( __( '%1$s on %2$s <span class="says">said:</span>', 'redify' ),
							sprintf( '<span class="fn">%s</span>', get_comment_author_link() ),
							sprintf( '<a href="%1$s"><time pubdate datetime="%2$s">%3$s</time></a>',
								esc_url( get_comment_link( $comment->comment_ID ) ),
								get_comment_time( 'c' ),
								/* translators: 1: date, 2: time */
								sprintf( __( '%1$s at %2$s', 'redify' ), get_comment_date(), get_comment_time() )
							)
						);
					?>

					<?php edit_comment_link( __( 'Edit', 'redify' ), '<span class="edit-link">', '</span>' ); ?>
				</div><!-- .comment-author .vcard -->

				<?php if ( $comment->comment_approved == '0' ) : ?>
					<em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'redify' ); ?></em>
					<br />
				<?php endif; ?>

			</footer>

			<div class="comment-content"><?php comment_text(); ?></div>

			<div class="reply">
				<?php comment_reply_link( array_merge( $args, array( 'reply_text' => __( 'Reply <span>&darr;</span>', 'redify' ), 'depth' => $depth, 'max_depth' => $args['max_depth'] ) ) ); ?>
			</div><!-- .reply -->
		</article><!-- #comment-## -->

	<?php
	
				break;
	endswitch;
}
endif; // ends check for redify_comment()

function redify_add_style_script()
{
wp_register_script('customstyle',get_template_directory_uri().'/custom_style.php');
wp_enqueue_script('customstyle');
require_once('custom_style.php');
wp_register_script('customnivoslider',get_template_directory_uri().'/js/jquery_nivo_slider.php');
wp_enqueue_script('customnivoslider');
 if ( is_singular() && get_option( 'thread_comments' ) )
 wp_enqueue_script( 'comment-reply' );
}


/*enque tab all library file or js or css*/
function redify_admin_enqueue_script() {

		/*enque jquery of option panal*/
wp_enqueue_script('redify-optionpanal-jquery',get_template_directory_uri('template_directory').'/js/redify-optionpanal-jquery.js');
	   	
		/*wordpress jquery tab create*/
		wp_enqueue_script('jquery-ui-tabs');
		wp_register_script('jmin',get_bloginfo('template_directory').'/js/sample.js',array('jquery'),'1.0');
		wp_enqueue_script('jmin');
		wp_enqueue_style('verticaltabs.css',get_bloginfo('template_directory').'/css/verticaltabs.css');
		
	   /* media upload button js & css */
		wp_enqueue_script('media-upload');
		wp_enqueue_script('thickbox');
		wp_register_script('my-upload',get_bloginfo('template_directory').'/js/media-upload-script.js');
		wp_enqueue_script('my-upload');
		wp_enqueue_style('thickbox');	
		/* colorpicker(farbtastic) js & css */
    wp_enqueue_script('farbtasticjs',get_bloginfo('template_directory').'/js/farbtastic.js');
	wp_enqueue_style('farbtasticss',get_bloginfo('template_directory').'/css/farbtasticss.css');
}


function redify_additional_styles(){
	global $wp_query;
	if( $wp_query->max_num_pages > 1 )
		wp_enqueue_style('redify-page-nav', get_template_directory_uri() . '/css/nav.css' );
		
}

add_action( 'wp_enqueue_scripts', 'redify_additional_styles');

?>